Package org.jfree.layouting.renderer.border

## Class RenderLength

- java.lang.Object
- - org.jfree.layouting.renderer.border.RenderLength

-     public class RenderLength
      extends java.lang.Object

  Creation-Date: 09.07.2006, 21:03:12
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static RenderLength` | `AUTO` |
    `static RenderLength` | `EMPTY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RenderLength​(long value, boolean percentage)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RenderLength` | `convertToInternal​(CSSValue value, LayoutContext layoutContext, OutputProcessorMetaData metaData)` |
    `boolean` | `equals​(java.lang.Object o)` |
    `long` | `getValue​()` |
    `int` | `hashCode​()` |
    `boolean` | `isPercentage​()` |
    `long` | `resolve​(long parent)` |
    `RenderLength` | `resolveToRenderLength​(long parent)` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### AUTO

          public static final RenderLength AUTO

    - #### EMPTY

          public static final RenderLength EMPTY

  - ### Constructor Detail

    - #### RenderLength

          public RenderLength​(long value,
                              boolean percentage)

  - ### Method Detail

    - #### getValue

          public long getValue​()

    - #### isPercentage

          public boolean isPercentage​()

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### resolve

          public long resolve​(long parent)

    - #### resolveToRenderLength

          public RenderLength resolveToRenderLength​(long parent)

    - #### convertToInternal

          public static RenderLength convertToInternal​(CSSValue value,
                                                       LayoutContext layoutContext,
                                                       OutputProcessorMetaData metaData)

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`